FLANG

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Fortran::evaluate::characteristics::DummyProcedure Struct Reference

## Public Types
using | Attrs = common::EnumSet< Attr, Attr_enumSize >

## Public Member Functions
| DummyProcedure (Procedure &&)
bool | operator== (const DummyProcedure &) const
bool | operator!= (const DummyProcedure &that) const
llvm::raw_ostream & | Dump (llvm::raw_ostream &) const

## Static Public Member Functions
static std::optional< DummyProcedure > | Characterize (const semantics::Symbol &, const IntrinsicProcTable &)

## Public Attributes
CopyableIndirection< Procedure > | procedure
common::Intent | intent {common::Intent::Default}
Attrs | attrs

The documentation for this struct was generated from the following files:

- include/flang/Evaluate/characteristics.h
- lib/Evaluate/characteristics.cpp